# RipplePathFindResponse | xrpl
Documentation for xrpl

# Interface RipplePathFindResponse

Response expected from a RipplePathFindRequest.

#### Hierarchy

- BaseResponse
  - RipplePathFindResponse

- Defined in packages/xrpl/src/models/methods/ripplePathFind.ts:63

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
alternatives: PathOption[];
destination_account: string;
destination_amount: Amount;
destination_currencies: string[];
full_reply?: boolean;
id?: string | number;
ledger_current_index?: number;
source_account: string;
validated: boolean;
}

#### Type declaration

- ##### alternatives: PathOption[]

  Array of objects with possible paths to take, as described below. If empty, then there are no paths connecting the source and destination accounts.

- ##### destination_account: string

  Unique address of the account that would receive a payment transaction.

- ##### destination_amount: Amount

- ##### destination_currencies: string[]

  Array of strings representing the currencies that the destination accepts, as 3-letter codes like "USD" or as 40-character hex like "015841551A748AD2C1F76FF6ECB0CCCD00000000".

- ##### `Optional` full_reply?: boolean

- ##### `Optional` id?: string | number

- ##### `Optional` ledger_current_index?: number

- ##### source_account: string

- ##### validated: boolean

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/ripplePathFind.ts:64

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc